## tla-buildpackage 0.9.7

=== debian/changelog ===
tla-buildpackage (0.9.7) unstable; urgency=low

  * Added xpdf-utils to build-dep-indep.  Closes: #242966.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 21 Apr 2004 14:04:07 -0500

tla-buildpackage (0.9.6) unstable; urgency=low

  * Fixed a follow-up bug that was introduced in 0.9.5.  This makes
    multiline fields work.  Closes: #222912.
  * Ignore .arch-inventory files.  Closes: #228464.
  * Fixed an error in the tbp-importdsc manpage.  Closes: #222925.

 -- John Goerzen <jgoerzen@complete.org>  Tue,  2 Mar 2004 21:14:28 -0600

tla-buildpackage (0.9.5) unstable; urgency=low

  * Minor bugfix to properly handle multi-line fields with text on the
    first line.
  * Updated to newer sgml-common for documentation generation and switched
    to the SCons-based generation system.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 26 Feb 2004 16:43:47 -0600

tla-buildpackage (0.9.4) unstable; urgency=low

  * Update build-depend to tla-load-dirs 1.0.11 -- ensuring that
    tla-buildpackage users get the tla "candidate" bugfix in that version.
  * Build-depend on debhelper 4.1.80 or later so that the tla ChangeLog can be
    included in the .deb.  Modify dh_installchangelogs to include it as
    "upstream" log.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 16 Dec 2003 16:33:02 -0600

tla-buildpackage (0.9.3) unstable; urgency=low

  * Now compatible with both tla 1.0 in unstable and latest tla 1.1
    snapshots.  Introduced dependency on 1.0.9 of tla-load-dirs, which
    adds the compatibility module and support itself for tla 1.1.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 22 Oct 2003 13:39:48 -0500

tla-buildpackage (0.9.2) unstable; urgency=low

  * Added logic to ignore error from tla replay during import of dsc.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 21 Oct 2003 22:52:36 -0500

tla-buildpackage (0.9.1) unstable; urgency=low

  * Now generate and document "latest" files for configs.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 21 Oct 2003 20:02:23 -0500

tla-buildpackage (0.9.0) unstable; urgency=low

  * Initial Release.  Closes: #215265.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 11 Oct 2003 11:26:57 -0500

Local variables:
mode: debian-changelog
End:

## tla-buildpackage 0.9.8

=== docs/sgml-common/SConstruct ===
# vim: set filetype=python :
# arch-tag: general-purpose SCons build file for sgml-common

from glob import glob
import os, re

############################################################
# Setup
############################################################

#Import('env')
d = env.Dictionary()
if not 'JADE' in d:
    d['JADE'] = 'jade'
if not 'INDEXNODE' in d:
    d['INDEXNODE'] = 'ch.index'
if not 'GTKIMGPATH' in d:
    d['GTKIMGPATH'] = '/usr/share/gtk-doc/data'
if not 'PS2EPSI' in d:
    d['PS2EPSI'] = '../sgml-common/ps2epsi'

def removeindex(l):
    while 'index/index.sgml' in l:
        l.remove('index/index.sgml')

master = d['MASTERBASE'] 
mastersgml = master + '.sgml'
sources = [mastersgml] + glob('*/*.sgml') + glob('*/*/*.sgml')
removeindex(sources)
db2htmlcmd = 'docbook-2-html -D $JADE ${HTMLARGS}  ${SOURCE}'
db2htmlindexcmd = 'docbook-2-html -D $JADE -O -V -O html-index ${HTMLARGS} ${SOURCE}'

##################################################
# SCANNERS
##################################################
def recursescan(scanner, node, env):
    result = scanner(node, env) 
    retval = []
    for item in result:
        retval.append(item)
        retval.extend(recursescan(scanner, item, env))
    return retval

SGML_includes_re = re.compile(r'<!ENTITY[^>]+SYSTEM[^>]+"(.+)"', re.M)
def SGML_includes_scan(node, env, path):
    ret = SGML_includes_re.findall(node.get_contents())
    removeindex(ret)
    return ret

SGML_includes_scanner = Scanner(name = 'SGML_includes',
    function = SGML_includes_scan, recursive = 1, skeys = ['.sgml', '.ent'])

SGML_image_pdf_re = re.compile(r'<(graphic|imagedata).+?fileref="([^"]+\.pdf)"', re.S)
SGML_image_png_re = re.compile(r'<(graphic|imagedata).+?fileref="([^"]+\.png)"', re.S)
def SGML_image_scanner(node, env, path, arg):
    root, ext = os.path.splitext(str(node))
    contents = node.get_contents()
    return SGML_includes_scan(node, env, path) + \
            [os.getcwd() + '/' + x[1] for x in arg.findall(contents)]

SGML_pdf_scanner = Scanner(name = 'SGML_pdf',
         function = SGML_image_scanner, argument = SGML_image_pdf_re,
         recursive = 1)
SGML_png_scanner = Scanner(name = 'SGML_png',
        function = SGML_image_scanner, argument = SGML_image_png_re,
        recursive = 1)

##################################################
# BUILDERS
##################################################

#### PLAIN TEXT
Btxt = Builder(action="docbook2txt $SOURCE", src_suffix='.sgml', suffix='.txt')

#### PDF / POSTSCRIPT
Bpdf = Builder(action="docbook-2-pdf -D ${JADE} -q -O -V -O paper-size=Letter ${PDFARGS} ${SOURCE}",
        src_suffix='.sgml', suffix='.pdf')
Bpdf2ps = Builder(action="pdftops ${SOURCE}", src_suffix='.pdf', suffix='.ps')

#### MAN PAGES
# FIXME: test this
Bman = Builder(action="docbook2man $SOURCE", src_suffix='.sgml', suffix='.1')

#### HTML
Bhtml = Builder(action = [ \
        'if test -d ${TARGET.dir} ; then rm -r ${TARGET.dir} ; fi',
        'mkdir ${TARGET.dir}',
        db2htmlcmd,
        'mv ${MASTERBASE}-html/* ${TARGET.dir}/',
        'rmdir ${MASTERBASE}-html',
        'ln -s ${TOPNODE}.html ${TARGET.dir}/index.html',
        'cp ${GTKIMGPATH}/*.png ${TARGET.dir}/'])

#### PNG
Bepip2png = Builder(action = 'gs -q -dTextAlphaBits=4 -dGraphicsAlphaBits=4 ' +\
        '-r90 -dBATCH -dNOPAUSE -dSAFER -sOutputFile=$TARGET ' + \
        '-sDEVICE=png16m $SOURCE -c showpage', suffix='.png', src_suffix='.pngepi')

#### EPI from PS
def getpagenumfromname(target, source, env, for_signature):
    return re.search('^.*_(\d+)\.(png){0,1}epi$', str(target[0])).group(1)
d['GETPAGE'] = getpagenumfromname

Aps2epi = Action(['psselect -q ${GETPAGE} $SOURCE temp.ps',
        'psresize -w ${WIDTH} -h ${HEIGHT} temp.ps temp2.ps',
        '$PS2EPSI temp2.ps $TARGET',
        'rm temp.ps temp2.ps'])
Bps2epi = Builder(action=Aps2epi, src_suffix='.ps', suffix='.epi')
Bps2epip = Builder(action=Aps2epi, src_suffix='.ps', suffix='.pngepi')
Bepi2pdf = Builder(action="epstopdf -o=${TARGET} ${SOURCE}", suffix='.pdf',
        src_suffix='.epi')

#### PLUCKER
Bplucker = Builder(action = 'plucker-build --bpp=4 --compression=zlib ' + \
        '--doc-name="${MASTERBASE}" -H file:${SOURCE.abspath} -M 5 ' + \
        '--maxheight=320 --maxwidth=310 --staybelow=file:`pwd`/${SOURCE.dir} ' + \
        '--title="${MASTERBASE}" -p . -f ${MASTERBASE}')

##################################################
# General setup
##################################################

env.Append(BUILDERS = {'Text': Btxt, 'PDF2PS': Bpdf2ps, 'PDF': Bpdf, 'HTML': Bhtml,
        'Plucker': Bplucker, 'PS2EPI': Bps2epi, 'PS2EPIP': Bps2epip,
        'EPI2PDF': Bepi2pdf, 'EPIP2PNG': Bepip2png, 'MAN': Bman})

#### INDEX GENERATION
if 'DOINDEX' in d:
    Bindex = Builder(action = ['if test -d ${TARGET.dir}  ; then rm -r ${TARGET.dir} ; fi',
        "mkdir ${TARGET.dir}",
        "collateindex.pl -i $INDEXNODE -N -o $TARGET",
        db2htmlindexcmd,
        "mv ${MASTERBASE}-html/HTML.index ${TARGET.dir}/",
        "rm -r ${MASTERBASE}-html",
        "collateindex.pl -i $INDEXNODE -g -o $TARGET ${TARGET.dir}/HTML.index"])
    env['BUILDERS']['Index'] = Bindex
    index = env.Index('index/index.sgml', mastersgml)
    env.Depends(index, sources)
    env.Clean(index, 'index')
    deps = sources + [index]
else:
    deps = sources

##################################################
# BUILD RULES
###################################################
# Text
text = env.Text(mastersgml)
env.Depends(text, deps)

# PDF
pdfsgml = File(mastersgml)
pdf = env.PDF(pdfsgml)
figsindoc = [x for x in recursescan(SGML_pdf_scanner, pdfsgml, env) if str(x).endswith('.pdf')]
epipdf = []
for file in figsindoc:
    pdfname = re.sub('_\d+\.pdf$', '.pdf', str(file))
    if pdfname == str(file):
        # This is not a filename that fits our pattern; add unmodified.
        epipdf.append(file)
        continue
    psfile = env.PDF2PS(source = pdfname)
    epifile = env.PS2EPI(str(file).replace(".pdf", ".epi"), psfile,
            WIDTH='6.375in', HEIGHT='8.25in')
    epipdf.append(env.EPI2PDF(source = epifile))

env.Depends(pdf, deps)
env.Depends(pdf, epipdf)
env.Alias('pdf', pdf)
env.Clean(pdf, ['jadetex.cfg', '${MASTERBASE}.aux', '${MASTERBASE}.dvi',
        '${MASTERBASE}.jtex', '${MASTERBASE}.log', '${MASTERBASE}.out',
        'jade-out.fot'])

# PS
ps = env.PDF2PS(source = pdf)
env.Alias('ps', ps)

# HTML
htmlsgml = File(mastersgml)
buildhtml = env.HTML('html/index.html', htmlsgml)
figsindoc = [x for x in recursescan(SGML_png_scanner, htmlsgml, env) if str(x).endswith('.png')]
epipng = []
for file in figsindoc:
    pdfname = re.sub('_\d+\.png$', '.pdf', str(file))
    if pdfname == str(file):
        # This is not a filename that fits our pattern; add unmodified. 
        epipng.append(file)
        continue
    psfile = env.PDF2PS(source = pdfname)
    epifile = env.PS2EPIP(str(file).replace(".png", ".pngepi"), psfile,
            WIDTH='8.5in', HEIGHT='11in')
    epipng.append(env.EPIP2PNG(source = epifile))

env.Depends(buildhtml, epipng)
env.Depends(buildhtml, deps)
pnginstalls = env.InstallAs(['html/' + str(x) for x in epipng], epipng)
env.Depends(pnginstalls, buildhtml)
html = env.Alias('html', buildhtml)
html = env.Alias('html', pnginstalls)
env.Clean(buildhtml, 'html')

# Plucker
plucker = env.Plucker(master + '.pdb', 'html/index.html')
env.Alias('plucker', plucker)

env.Default(html)

=== {arch}/++pristine-trees/unlocked/tla-buildpackage/tla-buildpackage--head/tla-buildpackage--head--1.0/jgoerzen@complete.org--projects/tla-buildpackage--head--1.0--patch-54/docs/Makefile ===
# arch-tag: documentation build system
# Copyright (C) 2003 John Goerzen
# <jgoerzen@complete.org>
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA

MASTERBASE := tbp
TOPNODE := tbp
BASICDEPS := $(wildcard */*.sgml */*.ent)
DOINDEX := yes
#DOINDEX := no
HTMLARGS := -s local
PSARGS := -s local=printlocal

all: ps
ps: $(MASTERBASE).ps
html: html/index.html
text: $(MASTERBASE).txt

manpages: tla-buildpackage.1 tbp-initarchive.1 tbp-importorig.1 tbp-importdsc.1 tbp-markdeb.1
%.1: man.%.sgml $(wildcard mansgml/*.sgml mansgml/*.ent)
	docbook2man $<

include sgml-common/Makefile.common

realclean: clean
	-rm -rf *.links *.refs tbp-html *.1

=== debian/changelog ===
tla-buildpackage (0.9.8) unstable; urgency=low

  * Fixed an import failure case using patch from Erik van
    Konijenburg.  Closes: #241885.
  * Noted new location for asuffield's directory.  Closes: #224595.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 10 Dec 2004 15:44:10 -0600

=== debian/control ===
Source: tla-buildpackage
Section: devel
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends-Indep: debhelper (>= 4.1.80), python2.3-dev, gtk-doc-tools, sgml2x, docbook-utils, jade, tla-load-dirs (>= 1.0.11), lynx, scons, xpdf-utils
Standards-Version: 3.6.0

Package: tla-buildpackage
Architecture: all
Depends: python2.3, tla, tla-load-dirs (>= 1.0.11), dpkg-dev, devscripts, python-apt
Description: Suite to help with Debian packages in Arch archives
 This package helps automate and ease the task of maintaining Debian
 packages by helping you, the Debian developer, take advantage of
 the unique features in tla/Arch.  The programs included are:
 .
 tbp-initarchive: Initialize an archive and working directory for use
 with tla-buildpackage.
 .
 tbp-importdsc: Import an upstream version and a Debian version from
 a Debian source package, automatically detecting package and version
 information from the .dsc.
 .
 tbp-importorig: Import an upstream tar.gz or directory.
 .
 tbp-markdeb: Mark a working copy for future reference.
 .
 tla-buildpackage: Builds a Debian package based on information in
 the repository, checking out Debian and upstream versions as necessary.
 .
 Also, the package includes a comprehensive 24-page manual in PostScript and
 HTML versions.

=== {arch}/++pristine-trees/unlocked/tla-buildpackage/tla-buildpackage--head/tla-buildpackage--head--1.0/jgoerzen@complete.org--projects/tla-buildpackage--head--1.0--patch-54/debian/control ===
Source: tla-buildpackage
Section: devel
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends-Indep: debhelper (>= 4.0.0), python2.3-dev, gtk-doc-tools, sgml2x, docbook-utils, jade, tla-load-dirs (>= 1.0.9), lynx
Standards-Version: 3.6.0

Package: tla-buildpackage
Architecture: all
Depends: python2.3, tla, tla-load-dirs (>= 1.0.9), dpkg-dev, devscripts, python-apt
Description: Suite to help with with Debian packages in Arch archives
 This package helps automate and ease the task of maintaining Debian
 packages by helping you, the Debian developer, take advantage of
 the unique features in tla/Arch.  The programs included are:
 .
 tbp-initarchive: Initialize an archive and working directory for use
 with tla-buildpackage.
 .
 tbp-importdsc: Import an upstream version and a Debian version from
 a Debian source package, automatically detecting package and version
 information from the .dsc.
 .
 tbp-importorig: Import an upstream tar.gz or directory.
 .
 tbp-markdeb: Mark a working copy for future reference.
 .
 tla-buildpackage: Builds a Debian package based on information in
 the repository, checking out Debian and upstream versions as necessary.
 .
 Also, the package includes a comprehensive 24-page manual in PostScript and
 HTML versions.

=== {arch}/++pristine-trees/unlocked/tla-buildpackage/tla-buildpackage--head/tla-buildpackage--head--1.0/jgoerzen@complete.org--projects/tla-buildpackage--head--1.0--patch-58/debian/control ===
Source: tla-buildpackage
Section: devel
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends-Indep: debhelper (>= 4.1.80), python2.3-dev, gtk-doc-tools, sgml2x, docbook-utils, jade, tla-load-dirs (>= 1.0.11), lynx, scons
Standards-Version: 3.6.0

Package: tla-buildpackage
Architecture: all
Depends: python2.3, tla, tla-load-dirs (>= 1.0.11), dpkg-dev, devscripts, python-apt
Description: Suite to help with with Debian packages in Arch archives
 This package helps automate and ease the task of maintaining Debian
 packages by helping you, the Debian developer, take advantage of
 the unique features in tla/Arch.  The programs included are:
 .
 tbp-initarchive: Initialize an archive and working directory for use
 with tla-buildpackage.
 .
 tbp-importdsc: Import an upstream version and a Debian version from
 a Debian source package, automatically detecting package and version
 information from the .dsc.
 .
 tbp-importorig: Import an upstream tar.gz or directory.
 .
 tbp-markdeb: Mark a working copy for future reference.
 .
 tla-buildpackage: Builds a Debian package based on information in
 the repository, checking out Debian and upstream versions as necessary.
 .
 Also, the package includes a comprehensive 24-page manual in PostScript and
 HTML versions.

=== {arch}/++pristine-trees/unlocked/tla-buildpackage/tla-buildpackage--head/tla-buildpackage--head--1.0/jgoerzen@complete.org--projects/tla-buildpackage--head--1.0--patch-54/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PYTHON=python2.3
PACKAGE=tla-buildpackage



configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	#touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	#$(MAKE)
	$(PYTHON) setup.py build
	#/usr/bin/docbook-to-man debian/tla-buildpackage.sgml > tla-buildpackage.1
	cd docs && make ps html
	cd docs && make manpages 
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(PYTHON) setup.py clean
	-rm -rf build
	-cd docs; make realclean
	#-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tla-buildpackage.
	#$(MAKE) install DESTDIR=$(CURDIR)/debian/tla-buildpackage
	$(PYTHON) setup.py install --root=`pwd`/debian/$(PACKAGE) --no-compile


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	#dh_installchangelogs ChangeLog
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman docs/*.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## tla-buildpackage 0.9.8ubuntu1

=== debian/changelog ===
tla-buildpackage (0.9.8ubuntu1) hoary; urgency=low

  * Use python2.4.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Feb 2005 23:54:09 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: devel
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends-Indep: debhelper (>= 4.1.80), python2.3-dev, gtk-doc-tools, sgml2x, docbook-utils, jade, tla-load-dirs (>= 1.0.11), lynx, scons, xpdf-utils
+Build-Depends-Indep: debhelper (>= 4.1.80), python2.4-dev, gtk-doc-tools, sgml2x, docbook-utils, jade, tla-load-dirs (>= 1.0.11), lynx, scons, xpdf-utils
 Standards-Version: 3.6.0
 
 Package: tla-buildpackage
 Architecture: all
-Depends: python2.3, tla, tla-load-dirs (>= 1.0.11), dpkg-dev, devscripts, python-apt
+Depends: python, tla, tla-load-dirs (>= 1.0.11), dpkg-dev, devscripts, python-apt
 Description: Suite to help with Debian packages in Arch archives
  This package helps automate and ease the task of maintaining Debian
  packages by helping you, the Debian developer, take advantage of

## tla-buildpackage 0.9.9ubuntu1

=== debian/changelog ===
tla-buildpackage (0.9.9ubuntu1) breezy; urgency=low

  * Sync with Debian.

 -- Hervé Cauwelier <hcauwelier@oursours.net>  Fri, 22 Jul 2005 22:00:51 +0200

tla-buildpackage (0.9.9) unstable; urgency=low

  * Updated to use newer tla-load-dirs libraries.  Closes: #315190.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 21 Jun 2005 06:13:20 -0500

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: devel
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends-Indep: debhelper (>= 4.1.80), python2.4-dev, gtk-doc-tools, sgml2x, docbook-utils, jade, tla-load-dirs (>= 1.0.11), lynx, scons, xpdf-utils
+Build-Depends-Indep: debhelper (>= 4.1.80), python2.4-dev, gtk-doc-tools, sgml2x, docbook-utils, jade, tla-load-dirs (>= 1.0.23), lynx, scons, xpdf-utils
 Standards-Version: 3.6.0
 
 Package: tla-buildpackage
 Architecture: all
-Depends: python, tla, tla-load-dirs (>= 1.0.11), dpkg-dev, devscripts, python-apt
+Depends: python, tla, tla-load-dirs (>= 1.0.23), dpkg-dev, devscripts, python-apt
 Description: Suite to help with Debian packages in Arch archives
  This package helps automate and ease the task of maintaining Debian
  packages by helping you, the Debian developer, take advantage of

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PYTHON=python2.4
PACKAGE=tla-buildpackage



configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	#touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	#$(MAKE)
	$(PYTHON) setup.py build
	#/usr/bin/docbook-to-man debian/tla-buildpackage.sgml > tla-buildpackage.1
	cd docs && scons ps html
	cd docs && scons manpages
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(PYTHON) setup.py clean
	-rm -rf build
	-cd docs; scons -c .
	-cd docs; rm -r `find . -name .sconsign` manpage.links manpage.refs
	#-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tla-buildpackage.
	#$(MAKE) install DESTDIR=$(CURDIR)/debian/tla-buildpackage
	$(PYTHON) setup.py install --root=`pwd`/debian/$(PACKAGE) --no-compile


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman docs/*.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## tla-buildpackage 0.9.11

=== debian/changelog ===
tla-buildpackage (0.9.11) unstable; urgency=medium

  * QA upload. (Closes: #384259)
  * Build-Depend on quilt for patch management.
  * Adapt to tla-load-dirs (>= 1.0.28) (Closes: #358317):
     + patch from Lionel-Élie Mamane and Gregory Colpart.
  * Update HTML documentation (Closes: #269528):
     + patch from Gregory Colpart.
  * Support "epoch" version (Closes: #248195):
     + patch from Balazs Ree.
  * Update to new Python Policy (Closes: #380974):
     + compile with default python version.
     + build-depend on python-support.
     + adjust Depends and Build-Depends accordingly.
  * Reorder Build-Depends{,-Indep}.
  * Bump Standards-Version to 3.7.2:
     + update FSF address.
  * Make lintian happier:
     + refer to all binary-* targets in debian/rules.
  * Other cosmetics:
     + remove commented lines.

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Wed,  6 Sep 2006 14:38:02 +0200

tla-buildpackage (0.9.10) unstable; urgency=low

  * Orphaning this package; maintainer set to QA group.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 24 Mar 2006 17:20:14 -0600

=== _darcs/current/debian/control ===
Source: tla-buildpackage
Section: devel
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends-Indep: debhelper (>= 4.1.80), python2.3-dev, gtk-doc-tools, sgml2x, docbook-utils, jade, tla-load-dirs (>= 1.0.23), lynx, scons, xpdf-utils
Standards-Version: 3.6.0

Package: tla-buildpackage
Architecture: all
Depends: python2.3, tla, tla-load-dirs (>= 1.0.23), dpkg-dev, devscripts, python-apt
Description: Suite to help with Debian packages in Arch archives
 This package helps automate and ease the task of maintaining Debian
 packages by helping you, the Debian developer, take advantage of
 the unique features in tla/Arch.  The programs included are:
 .
 tbp-initarchive: Initialize an archive and working directory for use
 with tla-buildpackage.
 .
 tbp-importdsc: Import an upstream version and a Debian version from
 a Debian source package, automatically detecting package and version
 information from the .dsc.
 .
 tbp-importorig: Import an upstream tar.gz or directory.
 .
 tbp-markdeb: Mark a working copy for future reference.
 .
 tla-buildpackage: Builds a Debian package based on information in
 the repository, checking out Debian and upstream versions as necessary.
 .
 Also, the package includes a comprehensive 24-page manual in PostScript and
 HTML versions.

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: tla-buildpackage
 Section: devel
 Priority: optional
-Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends-Indep: debhelper (>= 4.1.80), python2.4-dev, gtk-doc-tools, sgml2x, docbook-utils, jade, tla-load-dirs (>= 1.0.23), lynx, scons, xpdf-utils
-Standards-Version: 3.6.0
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper (>= 5), quilt, python-support (>= 0.4), python-dev, scons
+Build-Depends-Indep: gtk-doc-tools, sgml2x, docbook-utils, jade, tla-load-dirs (>= 1.0.28), lynx, xpdf-utils
+Standards-Version: 3.7.2
 
 Package: tla-buildpackage
 Architecture: all
-Depends: python, tla, tla-load-dirs (>= 1.0.23), dpkg-dev, devscripts, python-apt
+Depends: tla, tla-load-dirs (>= 1.0.28), dpkg-dev, devscripts, python-apt, ${python:Depends}
 Description: Suite to help with Debian packages in Arch archives
  This package helps automate and ease the task of maintaining Debian
  packages by helping you, the Debian developer, take advantage of

=== _darcs/current/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PYTHON=python2.3
PACKAGE=tla-buildpackage



configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	#touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	#$(MAKE)
	$(PYTHON) setup.py build
	#/usr/bin/docbook-to-man debian/tla-buildpackage.sgml > tla-buildpackage.1
	cd docs && scons ps html
	cd docs && scons manpages
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(PYTHON) setup.py clean
	-rm -rf build
	-cd docs; scons -c .
	-cd docs; rm -r `find . -name .sconsign` manpage.links manpage.refs
	#-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tla-buildpackage.
	#$(MAKE) install DESTDIR=$(CURDIR)/debian/tla-buildpackage
	$(PYTHON) setup.py install --root=`pwd`/debian/$(PACKAGE) --no-compile


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman docs/*.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## tla-buildpackage 0.9.12

=== docs/sgml-common/SConstruct ===
--- 
+++ 
@@ -147,6 +147,7 @@
 # Text
 text = env.Text(mastersgml)
 env.Depends(text, deps)
+env.Alias('text', text)
 
 # PDF
 pdfsgml = File(mastersgml)

=== debian/changelog ===
tla-buildpackage (0.9.12) unstable; urgency=low

  * QA upload.
  * Adapt to tla-load-dirs (>= 1.1.0).  Closes: #420098.
    - Use vcs_support instead of tla_support.  Thanks to Gregory Colpart
      for the preliminary patch.

 -- Matej Vela <vela@debian.org>  Sun, 22 Apr 2007 10:55:33 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 5), quilt, python-support (>= 0.4), python-dev, scons
-Build-Depends-Indep: gtk-doc-tools, sgml2x, docbook-utils, jade, tla-load-dirs (>= 1.0.28), lynx, xpdf-utils
+Build-Depends-Indep: gtk-doc-tools, sgml2x, docbook-utils, jade, tla-load-dirs (>= 1.1.0), lynx, xpdf-utils
 Standards-Version: 3.7.2
 
 Package: tla-buildpackage
 Architecture: all
-Depends: tla, tla-load-dirs (>= 1.0.28), dpkg-dev, devscripts, python-apt, ${python:Depends}
+Depends: tla, tla-load-dirs (>= 1.1.0), dpkg-dev, devscripts, python-apt, ${python:Depends}
 Description: Suite to help with Debian packages in Arch archives
  This package helps automate and ease the task of maintaining Debian
  packages by helping you, the Debian developer, take advantage of

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-PYTHON=python2.4
+PYTHON=python
 PACKAGE=tla-buildpackage
 
 
@@ -24,6 +24,7 @@
 build-stamp: configure-stamp 
 	dh_testdir
 
+	QUILT_PATCHES=debian/patches quilt push -a || test $$? = 2
 	# Add here commands to compile the package.
 	#$(MAKE)
 	$(PYTHON) setup.py build
@@ -44,6 +45,8 @@
 	-cd docs; rm -r `find . -name .sconsign` manpage.links manpage.refs
 	#-$(MAKE) clean
 
+	QUILT_PATCHES=debian/patches quilt pop -a -R || test $$? = 2
+	rm -rf .pc
 	dh_clean 
 
 install: build
@@ -62,30 +65,18 @@
 # We have nothing to do by default.
 
 # Build architecture-dependent files here.
-binary-indep: build install
+binary-arch: build install
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs ChangeLog
 	dh_installdocs
 	dh_installexamples
-#	dh_install
-#	dh_installmenu
-#	dh_installdebconf	
-#	dh_installlogrotate
-#	dh_installemacsen
-#	dh_installpam
-#	dh_installmime
-#	dh_installinit
-#	dh_installcron
-#	dh_installinfo
 	dh_installman docs/*.1
 	dh_link
 	dh_strip
 	dh_compress
 	dh_fixperms
-#	dh_perl
-	dh_python
-#	dh_makeshlibs
+	dh_pysupport
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol

## tla-buildpackage 0.9.13

=== docs/SConstruct ===
# Copyright (C) 2004 John Goerzen <jgoerzen@complete.org>
# arch-tag: primary build for docs
# <jgoerzen@complete.org>
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA

env = Environment()
env.Export("env")
env.Append(MASTERBASE = 'tbp', TOPNODE = 'tbp', DOINDEX = 1,
        HTMLARGS = '-s local', PDFARGS = '-s local=printlocal')

execfile('sgml-common/SConstruct')

manpages = []
for manpage in ['tla-buildpackage', 'tbp-initarchive', 'tbp-importorig',
                'tbp-importdsc', 'tbp-markdeb']:
    manpages.append(env.MAN('%s.1' % manpage, 'man.%s.sgml' % manpage))
env.Alias('manpages', manpages)

=== debian/changelog ===
tla-buildpackage (0.9.13) unstable; urgency=low

  * Adopt this package. (Closes: #358877)
  * Apply all patches to source (don't use quilt).
  * tbp-initarchive: Convert working directory to absolute path if
    relative path given. (Closes: #241884)
  * tbppy/tbpimport.py, tbppy/tla.py: Munge category names if they have
    special characters, so tla will accept them as valid. (Closes: #342136)
  * tla-buildpackage: Only try to build the upstream tarball if the Debian
    version is not empty (i.e. it is not a native package).
  * tla-buildpackage: Improve ignore patterns for debuild.
  * debian/changelog: Bump standards version to 3.7.3. (no other changes)
  * debian/rules: Move calls to dh_* to binary-indep.
  * debian/copyright: Update information.
  * tbp-initarchive: Allow user to pass arguments to tla make-archive and
    tla init-tree. (Closes: #289323)
  * tbp-markdeb: Add option to force marking even if the version was already
    marked. (Closes: #221077)
  * tbp-import*, tbppy/tbpimport.py: Add option to force importing even if not
    newer than other versions.
  * tbp-import*, tbppy/tbpimport.py: Add options to specify tla versions and
    branches to use. (Closes: #221064)
  * debian/rules: Install tbppy into /usr/share/tla-buildpackage, since
    it's a private module.
  * docs/mansgml/*: Document new options.

 -- Hubert Chathi <uhoreg@debian.org>  Thu, 01 May 2008 14:20:30 -0400

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: tla-buildpackage
 Section: devel
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 5), quilt, python-support (>= 0.4), python-dev, scons
+Maintainer: Hubert Chathi <uhoreg@debian.org>
+Build-Depends: debhelper (>= 5), python-support (>= 0.4), python-dev, scons
 Build-Depends-Indep: gtk-doc-tools, sgml2x, docbook-utils, jade, tla-load-dirs (>= 1.1.0), lynx, xpdf-utils
-Standards-Version: 3.7.2
+Standards-Version: 3.7.3
 
 Package: tla-buildpackage
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PYTHON=python
PACKAGE=tla-buildpackage



configure: configure-stamp
configure-stamp:
	dh_testdir

	#touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	$(PYTHON) setup.py build
	cd docs && scons ps html
	cd docs && scons manpages
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	-$(PYTHON) setup.py clean
	rm -rf build
	-cd docs; scons -c .
	-cd docs; rm -r `find . -name .sconsign` manpage.links manpage.refs
	rm -rf tbppy/*.pyc tbppy/*.pyo

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	$(PYTHON) setup.py install --root=$(CURDIR)/debian/$(PACKAGE) \
	  --no-compile --install-purelib /usr/share/tla-buildpackage


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_installman docs/*.1
	dh_link
	dh_strip
	dh_compress -X.pdf
	dh_fixperms
	dh_pysupport
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## tla-buildpackage 0.9.14

=== debian/changelog ===
tla-buildpackage (0.9.14) unstable; urgency=low

  * QA upload.
  * Update Standards-Version to 3.8.4
  * Set maintainer to Debian QA Group <packages@qa.debian.org>.
  * Pass --install-layout=deb to setup.py (Closes: #571483)
  * Use the new python-apt API (Closes: #571758)
  * Build-depend on python (>= 2.5.4) instead of python-dev
  * Add ${misc:Depends} to Depends.

 -- Julian Andres Klode <jak@debian.org>  Wed, 03 Mar 2010 17:14:09 +0100

tla-buildpackage (0.9.13+nmu1) unstable; urgency=low

  * Non-maintainer upload with maintainer's consent:
  * Generate documentation with poppler-utils instead of xpdf-utils
    (Closes: #549395)

 -- Moritz Muehlenhoff <jmm@debian.org>  Sun, 08 Nov 2009 00:25:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: tla-buildpackage
 Section: devel
 Priority: optional
-Maintainer: Hubert Chathi <uhoreg@debian.org>
-Build-Depends: debhelper (>= 5), python-support (>= 0.4), python-dev, scons
-Build-Depends-Indep: gtk-doc-tools, sgml2x, docbook-utils, jade, tla-load-dirs (>= 1.1.0), lynx, xpdf-utils
-Standards-Version: 3.7.3
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper (>= 5), python-support (>= 0.4), python (>= 2.5.4), scons
+Build-Depends-Indep: gtk-doc-tools, sgml2x, docbook-utils, jade, tla-load-dirs (>= 1.1.0), lynx, poppler-utils
+Standards-Version: 3.8.4
 
 Package: tla-buildpackage
 Architecture: all
-Depends: tla, tla-load-dirs (>= 1.1.0), dpkg-dev, devscripts, python-apt, ${python:Depends}
+Depends: tla, tla-load-dirs (>= 1.1.0), dpkg-dev, devscripts, python-apt (>= 0.7.93), ${python:Depends}, ${misc:Depends}
 Description: Suite to help with Debian packages in Arch archives
  This package helps automate and ease the task of maintaining Debian
  packages by helping you, the Debian developer, take advantage of

=== debian/rules ===
--- 
+++ 
@@ -48,7 +48,8 @@
 	dh_installdirs
 
 	$(PYTHON) setup.py install --root=$(CURDIR)/debian/$(PACKAGE) \
-	  --no-compile --install-purelib /usr/share/tla-buildpackage
+	  --no-compile --install-purelib /usr/share/tla-buildpackage \
+	               --install-layout=deb
 
 
 # Build architecture-independent files here.
